<?php
// Função de autoload manual para o PHPMailer
function my_autoloader($class) {
    // O nome da classe será o nome do arquivo que precisa ser incluído
    $class = str_replace('PHPMailer\\PHPMailer\\', '', $class); // Remove o namespace PHPMailer\PHPMailer
    $file = 'PHPMailer/src/' . $class . '.php';

    // Verifica se o arquivo existe antes de incluir
    if (file_exists($file)) {
        require $file;
    }
}

// Registra a função de autoload
spl_autoload_register('my_autoloader');
